#!/bin/sh
# Genera HTML con indicadores y logros a partir de una o más secuencias
# Dominio público. 2004. Sin garantías. http://structio.sourceforge.net/sigue

outdir=$1;
anio=$2;
periodo=$3;

if (test "$outdir" = "") then {
	echo "Primer parámetro debe ser directorio donde quedarán HTMLs";
	exit 1;
} fi;

if (test ! -d $outdir) then {
	echo "Primer parámetro debe ser directorio donde quedarán HTMLs";
	exit 1;
} fi;

if (test "$anio" = "") then {
	echo "Segundo parámetro debe ser año por generar";
	exit 1;
} fi;

if (test "$periodo" = "") then {
	idper="";
	dirper="2007";
}
else {
	idper="p$anio-$periodo"
	dirper=$idper;
} fi;


PLANEST=/var/saulo/planest/2007/
NS=sec2html.xsl;
SEC2HTML=/usr/local/share/repasa/ejemplos/$NS;

export SGML_CATALOG_FILES=$SGML_CATALOG_FILES:/usr/local/share/xml/structio/catalog

woutdir=`(cd $outdir; pwd)`;

niveles=`ls -1 ../$anio/ | grep -v "CVS"`
for n in $niveles ; do
	grados=`cd ../; ls -1 $anio/$n/ 2> /dev/null | grep -v "CVS "`
	if (test "$grados" != "") then {
    	    echo "Nivel: $n";
    	    for g in $grados; do
    		echo "Grado: $g";
    		sec=`cd ../; ls -1 $anio/$n/$g/ | grep "[.]sec$"`
    #		(cd ../$anio/$n/$g/; ln -s $SEC2HTML .)
    		for s in $sec; do
    			mkdir -p $woutdir/$dirper/$n/$g
    			echo "Asignatura: $s";
    			nom=`echo $s|sed -e "s|.sec$||g"`;
    			cmd="(cd ../$anio/$n/$g/; xsltproc --path \".\" --catalogs --stringparam logros \"Metas\" --stringparam indicadores \"DesempeÃ±os\" --stringparam nomcla $PLANEST/../$anio/$n/$g/$nom.cla -stringparam nomdef $PLANEST/..$anio/$n/$g/$nom.def --stringparam idper \"$idper\" $SEC2HTML $s > $woutdir/$dirper/$n/$g/$nom.html;)";
    			echo $cmd > /dev/stderr
    			eval $cmd;
    		done;
	    done;
    	} fi;
done;

